# Configuration file local to this node

{ config, pkgs, ... }:

{
  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.timeout = 20;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "carcajou";

  networking.interfaces.eno1.useDHCP = false;
  networking.interfaces.eno1.ipv4.addresses = [
    {
      address = "192.168.1.22";
      prefixLength = 24;
    }
  ];
  networking.interfaces.eno1.ipv6.addresses = [
    {
      address = "2a01:e0a:c:a720::22";
      prefixLength = 64;
    }
  ];

  networking.wireguard.interfaces.wg0 = {
    ips = [ "10.42.0.22/16" ];
    listenPort = 33722;
  };

  # Enable netdata monitoring
  services.netdata.enable = true;

  # Activate as Nomad and Consul server node
  services.nomad.settings.server.enabled = true;
  services.consul.extraConfig.server = true;
}
