{ config, pkgs, ... }:

{
  networking.defaultGateway = {
    address = "192.168.1.254";
    interface = "eno1";
  };

  services.nomad.settings.datacenter = "neptune";

  networking.firewall.allowedTCPPorts = [ 80 443 ];

  services.cron = {
    enable = true;
    systemCronJobs = [
      "0 2 * * * root nix-collect-garbage --delete-older-than 10d >> /root/nix_gc_log 2>&1"
      "30 2 * * * root docker run --rm -v /var/lib/drone/nix:/nix nixpkgs/nix:nixos-21.05 nix-collect-garbage --delete-older-than 30d >> /root/drone_nix_gc_log 2>&1"
    ];
  };
}
